import React, { useState } from 'react';
const DisplayErrorCtx = /*#__PURE__*/React.createContext(false);
const CustomForm = ({
  children,
  onSubmit = () => {},
  submitLabel = 'Valider',
  cancelLabel = 'Annuler',
  className = '',
  disabled = false,
  isLoading = false,
  onCancel = null,
  errorMessage = null
}) => {
  const [displayError, setDisplayError] = useState(false);
  const submit = e => {
    e.preventDefault();
    !displayError && setDisplayError(true);
    onSubmit(e);
  };
  return /*#__PURE__*/React.createElement(DisplayErrorCtx.Provider, {
    value: displayError
  }, /*#__PURE__*/React.createElement("form", {
    onSubmit: submit,
    className: className
  }, children, displayError && /*#__PURE__*/React.createElement("p", {
    className: "informations danger"
  }, errorMessage), /*#__PURE__*/React.createElement("div", {
    className: "form-buttons-container"
  }, /*#__PURE__*/React.createElement("button", {
    disabled: disabled,
    className: "button button-uca-blue"
  }, /*#__PURE__*/React.createElement("span", null, submitLabel), isLoading && /*#__PURE__*/React.createElement("div", {
    className: "spinner-border spinner-border-sm",
    role: "status"
  })), onCancel != null && /*#__PURE__*/React.createElement("button", {
    className: "button button-uca-beige",
    type: "button",
    onClick: onCancel
  }, cancelLabel))));
};
export { DisplayErrorCtx };
export default CustomForm;